Show / Hide Table of Contents

# AsyncAnimatorIKTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncAnimatorIKTrigger : AsyncTriggerBase<int>, IUniTaskAsyncEnumerable<int>

##### Inheritance

System.Object → AsyncTriggerBase<System.Int32> → AsyncAnimatorIKTrigger

##### Implements

IUniTaskAsyncEnumerable<System.Int32>

### Members

#### Methods

Name | Description
--- | ---
GetOnAnimatorIKAsyncHandler() |
GetOnAnimatorIKAsyncHandler(CancellationToken) |
OnAnimatorIKAsync() |
OnAnimatorIKAsync(CancellationToken) |

### Methods

#### GetOnAnimatorIKAsyncHandler()

    public IAsyncOnAnimatorIKHandler GetOnAnimatorIKAsyncHandler()

##### Returns

IAsyncOnAnimatorIKHandler

#### GetOnAnimatorIKAsyncHandler(CancellationToken)

    public IAsyncOnAnimatorIKHandler GetOnAnimatorIKAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnAnimatorIKHandler

#### OnAnimatorIKAsync()

    public UniTask<int> OnAnimatorIKAsync()

##### Returns

UniTask<System.Int32>

#### OnAnimatorIKAsync(CancellationToken)

    public UniTask<int> OnAnimatorIKAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<System.Int32>

### Implements

IUniTaskAsyncEnumerable<T>